## NMDeviceGeneric NMDeviceGeneric |

## Functions

const char * | nm_device_generic_get_hw_address ()

## Types and Values

#define | NM_DEVICE_GENERIC_HW_ADDRESS
#define | NM_DEVICE_GENERIC_TYPE_DESCRIPTION

## Description

## Functions

### nm_device_generic_get_hw_address ()

    const char *
    nm_device_generic_get_hw_address (NMDeviceGeneric *device);

`nm_device_generic_get_hw_address` has been deprecated since version 1.24 and should not be used in newly-written code.

Use `nm_device_get_hw_address()` instead.

Gets the hardware address of the NMDeviceGeneric

[skip]

#### Parameters

device | a NMDeviceGeneric |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

## Types and Values

### NM_DEVICE_GENERIC_HW_ADDRESS

    #define NM_DEVICE_GENERIC_HW_ADDRESS       "hw-address"

### NM_DEVICE_GENERIC_TYPE_DESCRIPTION

    #define NM_DEVICE_GENERIC_TYPE_DESCRIPTION "type-description"